Package org.apache.avro.io.parsing

# Interface Parser.ActionHandler

All Known Implementing Classes:
  `JsonDecoder`, `JsonEncoder`, `ParsingDecoder`, `ResolvingDecoder`, `ValidatingDecoder`, `ValidatingEncoder`

Enclosing class:
  `Parser`

public static interface Parser.ActionHandler
The parser knows how to handle the terminal and non-terminal symbols. But it needs help from outside to handle implicit and explicit actions. The clients implement this interface to provide this help.

## Method Summary

Modifier and Type
Method
Description
`Symbol`
`doAction(Symbol input, Symbol top)`
Handle the action symbol `top` when the `input` is sought to be taken off the stack.

## Method Details

### doAction

Symbol doAction(Symbol input, Symbol top) throws IOException
Handle the action symbol `top` when the `input` is sought to be taken off the stack.

Parameters:
  `input` - The input symbol from the caller of advance
  `top` - The symbol at the top the stack.
Returns:
  `null` if advance() is to continue processing the stack. If not `null` the return value will be returned by advance().
Throws:
  `IOException`